Name:           perl-Tie-EncryptedHash
Version:        1.24
Release:        %mkrel 1
License:        Artistic
%define module  Tie-EncryptedHash
Group:          Development/Perl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:        Hashes (and objects based on hashes) with encrypting fields
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Tie/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}
Prefix:         %{_prefix}
%if %{mdkversion} < 1010
Buildrequires:perl-devel
%endif
BuildRequires:  perl-Crypt-CBC
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:  perl-Crypt-DES
BuildArch:      noarch

%description 
Tie::EncryptedHash augments Perl hash semantics to build
secure, encrypting containers of data. Tie::EncryptedHash
introduces special hash fields that are coupled with
encrypt/decrypt routines to encrypt assignments at STORE()
and decrypt retrievals at FETCH(). By design, encrypting
fields are associated with keys that begin in single
underscore. The remaining keyspace is used for accessing
normal hash fields, which are retained without
modification.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.html
%{perl_vendorlib}/*
%{_mandir}/*/*



%changelog
* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 236289
- update to new version 1.24

* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.21-4mdv2008.1
+ Revision: 168173
- fix no-buildroot-tag
- kill (multiple!) definitions of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.21-4mdv2008.0
+ Revision: 23637
- rebuild


* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.21-3mdk
- Fix url
- Fix BuildRequires thanks guillomovitch for the explanations

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.21-2mdk
- rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.21-1mdk
- New package

